''' The core module holds objects for constructing and manipulating
expressions. Other components (caches, engines, interfaces, etc) should
communicate by passing core expression objects. '''

from .expand import expand_dnf
from .expressions import Attribute, And, Or, Not, Eq, Le, Lt, Ge, Gt, Eq, In
from .serialise import default, object_hook
from .simplify import simplify_domain, simplify_tree, SimplifyError
from .traverse import get_attributes, get_clauses, traverse_expression
